> ## Documentation Index
> Fetch the complete documentation index at: https://mindcase.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Twitter / X Profiles

> Extract Twitter user data — bio, follower count, following count, recent posts — from usernames or profile URLs

`$0.3 / 1k profiles`

Extract Twitter user data — bio, follower count, following count, recent posts — from usernames or profile URLs

## Endpoint

`POST /api/v1/agents/twitter/profiles/run`

## Parameters

<ParamField body="inputs" type="array" required>
  **List** · One per line. You can input profile URLs, handles, or search keywords (e.g. 'AI researchers').
</ParamField>

<ParamField body="maxResults" type="integer" default={100}>
  **Number** · Maximum number of items that you want as output. Use 0 for all.
</ParamField>

## Response columns

| Field            | Display name    | Type    |
| ---------------- | --------------- | ------- |
| `profileUrl`     | Profile URL     | url     |
| `username`       | Username        | text    |
| `displayName`    | Display Name    | text    |
| `bio`            | Bio             | text    |
| `profilePicture` | Profile Picture | url     |
| `coverImage`     | Cover Image     | url     |
| `location`       | Location        | text    |
| `followers`      | Followers       | number  |
| `following`      | Following       | number  |
| `tweets`         | Tweets          | number  |
| `likesGiven`     | Likes Given     | number  |
| `media`          | Media           | number  |
| `listCount`      | List Count      | number  |
| `verified`       | Verified        | boolean |
| `graduated`      | Graduated       | boolean |
| `nftAvatar`      | NFT Avatar      | boolean |
| `protected`      | Protected       | boolean |
| `sensitive`      | Sensitive       | boolean |
| `joinedTwitter`  | Joined Twitter  | text    |
| `profession`     | Profession      | text    |
| `accountType`    | Account Type    | text    |
| `type`           | Type            | text    |

## Example

<CodeGroup>
  ```bash curl theme={null}
  curl -X POST https://api.mindcase.co/api/v1/agents/twitter/profiles/run \
    -H "Authorization: Bearer mk_live_abc123def456" \
    -H "Content-Type: application/json" \
    -d '{
    "params": {
      "urls": [
        "https://twitter.com/elonmusk",
        "https://twitter.com/BillGates",
        "https://twitter.com/MrBeast",
        "https://twitter.com/KingJames",
        "https://twitter.com/taylorswift13",
        "https://twitter.com/sundarpichai",
        "https://twitter.com/satyanadella",
        "https://twitter.com/sama",
        "https://twitter.com/tim_cook",
        "https://twitter.com/BarackObama"
      ],
      "maxResults": 10
    }
  }'
  ```

  ```python Python theme={null}
  import requests

  resp = requests.post(
      "https://api.mindcase.co/api/v1/agents/twitter/profiles/run",
      headers={"Authorization": "Bearer mk_live_abc123def456"},
      json={"params": {
      "urls": [
          "https://twitter.com/elonmusk",
          "https://twitter.com/BillGates",
          "https://twitter.com/MrBeast",
          "https://twitter.com/KingJames",
          "https://twitter.com/taylorswift13",
          "https://twitter.com/sundarpichai",
          "https://twitter.com/satyanadella",
          "https://twitter.com/sama",
          "https://twitter.com/tim_cook",
          "https://twitter.com/BarackObama"
      ],
      "maxResults": 10
  }},
  )
  data = resp.json()
  ```
</CodeGroup>

### Example response

```json Response theme={null}
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "profileUrl": "https://x.com/KingJames",
      "username": "KingJames",
      "displayName": "LeBron James",
      "bio": "EST. AKRON - ST.V/M Class of '03 https://t.co/TrZZrgA5Yt #IPROMISE",
      "profilePicture": "https://pbs.twimg.com/profile_images/1904731639910965248/6bcSSJnG_normal.jpg",
      "coverImage": "https://pbs.twimg.com/profile_banners/23083404/1529843462",
      "location": "Outer Space    ",
      "followers": 48900102,
      "following": 182,
      "tweets": 9698,
      "likesGiven": 162,
      "media": 768,
      "listCount": 43552,
      "verified": true,
      "graduated": true,
      "nftAvatar": false,
      "protected": false,
      "sensitive": false,
      "joinedTwitter": "Fri Mar 06 16:25:53 +0000 2009",
      "profession": null,
      "accountType": null,
      "type": "user"
    }
  ]
}
```
